Bug 847545 - [abrt] yum-3.4.3-28.fc17: os.py:546:_spawnvef:OSError: [Errno 4] Interrupted system call
[abrt] yum-3.4.3-28.fc17: os.py:546:_spawnvef:OSError: [Errno 4] Interrupted ...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
abrt_hash:2e2b8501c4bcd0a835838d64184...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-12 17:17 EDT by ruy alvarez
Modified: 2014-01-21 18:23 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-13 06:12:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (933 bytes, text/plain)
2012-08-12 17:17 EDT, ruy alvarez
no flags Details

  None (edit)
Description ruy alvarez 2012-08-12 17:17:27 EDT
Description of problem:
i was trying to update the system

Version-Release number of selected component:
yum-3.4.3-28.fc17

Additional info:
libreport version: 2.0.12
abrt_version:   2.0.11.1.g5c44.dirty
kernel:         3.5.0-2.fc17.x86_64

backtrace:
:os.py:546:_spawnvef:OSError: [Errno 4] Interrupted system call
:
:Traceback (most recent call last):
:  File "/usr/bin/yum", line 29, in <module>
:    yummain.user_main(sys.argv[1:], exit_code=True)
:  File "/usr/share/yum-cli/yummain.py", line 319, in user_main
:    errcode = main(args)
:  File "/usr/share/yum-cli/yummain.py", line 227, in main
:    return_code = base.doTransaction()
:  File "/usr/share/yum-cli/cli.py", line 559, in doTransaction
:    problems = self.downloadPkgs(downloadpkgs, callback_total=self.download_callback_total_cb)
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2190, in downloadPkgs
:    self.plugins.run('predownload', pkglist=pkglist)
:  File "/usr/lib/python2.7/site-packages/yum/plugins.py", line 187, in run
:    func(conduitcls(self, self.base, conf, **kwargs))
:  File "/usr/lib/yum-plugins/yum-fast-downloader.py", line 237, in predownload_hook
:    downloadQueuedFiles(inputFileName)
:  File "/usr/lib/yum-plugins/yum-fast-downloader.py", line 105, in downloadQueuedFiles
:    ret = os.spawnvp(os.P_WAIT, "aria2c", args)
:  File "/usr/lib64/python2.7/os.py", line 585, in spawnvp
:    return _spawnvef(mode, file, args, None, execvp)
:  File "/usr/lib64/python2.7/os.py", line 546, in _spawnvef
:    wpid, sts = waitpid(pid, 0)
:OSError: [Errno 4] Interrupted system call
:
:Local variables in innermost frame:
:func: <function execvp at 0x7fc877214050>
:env: None
:args: ['aria2c', '--continue', '--check-certificate=false', '--on-download-complete=/usr/libexec/yum-fast-downloader-finalize', '--server-stat-if=/var/cache/yum/x86_64/17/aria2c_server_stats', '--server-stat-of=/var/cache/yum/x86_64/17/aria2c_server_stats', '--max-concurrent-downloads=10', '--min-split-size=1M', '--max-connection-per-server=5', '--input-file=/var/cache/yum/x86_64/17/aria.input']
:pid: 11924
:mode: 0
:file: 'aria2c'
Comment 1 ruy alvarez 2012-08-12 17:17:30 EDT
Created attachment 603826 [details]
File: core_backtrace
Comment 2 Tim Lauridsen 2012-08-13 06:12:51 EDT
This is a problem with the yum-fast-downloader plugin, it is a 3 party plugin, not a part of yum

Note You need to log in before you can comment on or make changes to this bug.